Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/6126/?format=api
{ "ob_id": 6126, "uuid": "cb1e243488e94c2c019352bf24ff2e6c", "title": "RAL 78GHz Cloud Radar Data from the NERC Mesosphere-Stratosphere-Troposphere (MST) Radar Facility", "abstract": "The Rutherford Appleton Laboratory (RAL) Cloud Radar was deployed at the Natural Environment Research Council's (NERC) Mesosphere-Stratosphere-Troposphere (MST) Radar Facility, Capel Dewi, near Aberystwyth in West Wales from April 2005 to June 2006. These data are restricted to registered users for these data only.\r\n\r\n", "keywords": "RAL, cloud radar, MST", "publicationState": "published", "dataPublishedTime": "2007-03-15T23:52:58", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/6127/?format=api", "dataPath": "/badc/mst/data/ral-cloud-radar", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 4021409418, "numberOfFiles": 389, "fileFormat": null }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/1792/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/515/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/21920/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/21974/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/22318/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25845/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25858/?format=api" ], "dataLineage": "Data are acquired by the MST radar facility and sent to the BADC within an hour of acquisition. Data are then immediately ingested into the BADC archives.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/3971/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/12152/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/6117/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26021/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26020/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26023/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26024/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26025/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26027/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26022/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/46126/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/6129/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2650/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "restricted", "accessRoles": "mst", "label": "restricted: mst group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/mst.pdf", "licenceClassifications": "academic" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }